<?php
// Database connection settings
$host = 'localhost'; // Database host
$dbname = 'infinite_canvas'; // Database name
$username = 'root'; // Database username
$password = ''; // Database password

// Create a new PDO instance
try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
    exit;
}

// Function to save tile data to the database
function saveTile($tx, $ty, $imageData) {
    global $pdo;

    // Prepare SQL statement
    $stmt = $pdo->prepare("INSERT INTO tiles (tx, ty, image_data) VALUES (:tx, :ty, :image_data) ON DUPLICATE KEY UPDATE image_data = :image_data");
    $stmt->bindParam(':tx', $tx);
    $stmt->bindParam(':ty', $ty);
    $stmt->bindParam(':image_data', $imageData);

    // Execute the statement
    return $stmt->execute();
}
?>